%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name time
%define f_pkg_name time
%define pkg_libdir %{_libdir}/%{hsc_name}-%{hsc_version}/lib/%{h_pkg_name}-%{version}

Name: %{hsc_namever}-%{f_pkg_name}
Version: 1.1.2.0
Release: alt2
License: BSD
Group: Development/Haskell
URL: http://semantic.org/TimeLib/
Packager: Alex V. Myltsev <avm@altlinux.ru>
Source: time-1.1.2.0.tar.gz
Summary: time library
BuildRequires: ghc = 6.8.2, rpm-build-haskell, haddock
Provides: %{h_pkg_name}-%{hsc_namever} = %{version}


%description
Haskell time library, part of ghc-extralibs.
Install this package if you are a Haskell developer.

%prep
%setup -n %{h_pkg_name}-%{version}


%build
if [ -f configure.ac -a ! -f configure ]; then autoreconf; fi
runghc Setup configure --prefix=%{_prefix} --libdir=%{_libdir} --docdir=%{_docdir}/%{hsc_namever}-%{f_pkg_name}-%{version} --libsubdir='$compiler/lib/$pkgid' --disable-library-profiling --ghc
if runghc Setup makefile -f cabal-rpm.mk
then
    %make_build -f cabal-rpm.mk || :
fi
runghc Setup build
runghc Setup haddock || :
runghc Setup register --gen-pkg-config=%f_pkg_name.pkg


%install
runghc Setup copy --destdir=${RPM_BUILD_ROOT}
install -m 755 %f_pkg_name.pkg %buildroot%pkg_libdir

mkdir -p %buildroot%hs_pkgconfdir
%hs_package_register %f_pkg_name.pkg %buildroot%hs_pkgconfdir/%f_pkg_name.conf

cd ${RPM_BUILD_ROOT}
find .%{pkg_libdir} \( -name '*_p.a' -o -name '*.p_hi' \) | sed s/^.// >> %{_builddir}/%{?buildsubdir}/%{name}-files.prof
find .%{pkg_libdir} -type d | sed 's/^./%dir /' >> %{_builddir}/%{?buildsubdir}/%{name}-files.nonprof
find .%{pkg_libdir} ! \( -type d -o -name '*_p.a' -o -name '*.p_hi' \) | sed s/^.// >> %{_builddir}/%{?buildsubdir}/%{name}-files.nonprof
sed 's,^/,%exclude /,' %{_builddir}/%{?buildsubdir}/%{name}-files.prof >> %{_builddir}/%{?buildsubdir}/%{name}-files.nonprof

cd ${RPM_BUILD_ROOT}/%{_datadir}/doc/%{hsc_namever}-%{f_pkg_name}-%{version}
rm -rf doc LICENSE README


%files  -f %{name}-files.nonprof
%hs_pkgconfdir/%f_pkg_name.conf
%doc dist/doc/html
%doc LICENSE README


%changelog
* Mon Jan 14 2008 Alex V. Myltsev <avm@altlinux.ru> 1.1.2.0-alt2
- Use package.conf.d.

* Sun Jan 06 2008 Alex V. Myltsev <avm@altlinux.ru> 1.1.2.0-alt1
- Initial build for Sisyphus.
